commit:     15991f1fbd0794ca927771ee096a5cbcd837266d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 21 11:14:49 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jun 21 11:18:09 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=15991f1f

dev-python/pytest-services: Bump to 2.1.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pytest-services/Manifest                |  1 +
 .../pytest-services/pytest-services-2.1.0.ebuild   | 51 ++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-python/pytest-services/Manifest 
b/dev-python/pytest-services/Manifest
index 760200c44eb..a51a355fa8e 100644
--- a/dev-python/pytest-services/Manifest
+++ b/dev-python/pytest-services/Manifest
@@ -1 +1,2 @@
 DIST pytest-services-2.0.1.tar.gz 20386 BLAKE2B 
5ec94fdd0fbc5990216fcbae112973fa8b41902a6fa666dd4c5dee2422f76e128ce3a576ec93ecb86bddff5f6bca0e1afaf791583bd275b2543d0e780e45014b
 SHA512 
445cd5346f0c19b68014eb3c27b06376ae6699e31d8c1fee0cb3cda6e927d0ecadbffe3b0b832dd38fe63bc1fe4e3108e2ecbcabf0641af0bdbff019681f0576
+DIST pytest-services-2.1.0.tar.gz 20552 BLAKE2B 
6359c419591efed553e095e267c24f78f36b152f0eefe21d46742f7c15f05e92a9e86891f99762a3716fef5284b00d07d8d6eb825008dbbbf07e36dc62a7a6b4
 SHA512 
54a487546a2af7996acdbcd63bfc01626832aa41683617cdd345453cf6518afdf03cb8c2465e1f5d28c88b2cc801ffb0d9d4440582865f899e21fe42ab431ebc

diff --git a/dev-python/pytest-services/pytest-services-2.1.0.ebuild 
b/dev-python/pytest-services/pytest-services-2.1.0.ebuild
new file mode 100644
index 00000000000..60d08abcefa
--- /dev/null
+++ b/dev-python/pytest-services/pytest-services-2.1.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="Collection of fixtures and utility functions to run service 
processes for pytest"
+HOMEPAGE="https://github.com/pytest-dev/pytest-services";
+SRC_URI="https://github.com/pytest-dev/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~x86"
+IUSE="test"
+
+RDEPEND="
+       dev-python/requests[${PYTHON_USEDEP}]
+       dev-python/psutil[${PYTHON_USEDEP}]
+       dev-python/pytest[${PYTHON_USEDEP}]
+       dev-python/zc-lockfile[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? ( ${RDEPEND}
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/pylibmc[${PYTHON_USEDEP}]
+               x11-base/xorg-server[xvfb]
+               net-misc/memcached
+               !dev-python/pytest-salt
+       )
+"
+
+RESTRICT="!test? ( test )"
+
+PATCHES=(
+       "${FILESDIR}/pytest-services-2.0.1-no-mysql.patch"
+       "${FILESDIR}/pytest-services-2.0.1-lockdir.patch"
+)
+
+python_test() {
+       distutils_install_for_testing
+       pytest -vv tests || die "Tests failed under ${EPYTHON}"
+}
+
+python_install() {
+       distutils-r1_python_install
+
+       find "${D}" -name '*.pth' -delete || die
+}

Reply via email to